# Bulletin Butter & Jelly

BBJ is a trivial collection of python scripts and database queries that
miraculously shit out a fully functional, text-driven community bulletin board.
Requires Python 3.4 and up for the server and the official TUI client (clients/urwid/).

![AAAAAAAAAAAAAAAAAAAA](readme.png)
<center><h2>Look Ma, it boots !!11!</h2></center>

It's all driven by an API sitting on top of CherryPy. Currently it does not
serve HTML but this is planned for the (distant?) future.

The two official client implementations are a stand alone TUI client for
the unix terminal, and GNU Emacs. The API is simple and others are welcome
to join the party at some point.

## Docker
**Database**

Initialize with  
```bash
/bin/bash ./setup.sh --dbset
```

Mount to `/app/data.sqlite`

**Environment variables**
| Name          | Default | Description                           |
|---------------|---------|---------------------------------------|
| PORT          | 7099    | Port number to listen for connections |
| HOST          | 0.0.0.0 | Host address to bind to               |
| INSTANCE_NAME | BBJ     | BBJ's instance name                   |
| ALLOW_ANON    | true    | Allow anonymous usage                 |
| DEBUG         | false   | Enable debugging                      |
| ADMIN         |         | Comma separated list of admin users   |
